require 'portal_scraper/accounts/client'
require 'portal_scraper/bad_root_url'
require 'portal_scraper/bad_login_url'

module PortalScraper
  Config = Struct.new(:root_url, :app_id, :secret, :login_url, :token_url)

  def self.configure
    raise ArgumentError, 'No block given' unless block_given?

    yield config
  end

  def self.config
    @config ||= Config.new
  end
end
