module PortalScraper
  module ParsingHelper
    def parse_city_name(node)
      I18n.transliterate(node.upcase).gsub(/[^A-Z]/, ' ').sub(/\bSAINT\b/, 'ST')
    end

    def parse_number(node)
      node.text.strip.gsub(/[[:space:]]+/, '').tr(',', '.').to_d
    end

    def parse_date(node)
      parse_dates(node).first
    end

    def parse_dates(node)
      node.text.strip.gsub(%r(\d{2}/\d{2}/\d{4})).map { |d| Date.strptime(d, '%d/%m/%Y') }
    end
  end
end
